Qwt User's Guide: QwtPlotMagnifier Class Reference

Qwt User's Guide 6.1.6

Public Member Functions | Protected Member Functions | List of all members
QwtPlotMagnifier Class Reference

QwtPlotMagnifier provides zooming, by magnifying in steps. More...

`#include <qwt_plot_magnifier.h>`

Inheritance diagram for QwtPlotMagnifier:
[legend]

## Public Member Functions
| QwtPlotMagnifier (QWidget *)
virtual | ~QwtPlotMagnifier ()
| Destructor.
void | setAxisEnabled (int axis, bool on)
| En/Disable an axis. More...
bool | isAxisEnabled (int axis) const
QWidget * | canvas ()
| Return observed plot canvas.
const QWidget * | canvas () const
| Return Observed plot canvas.
QwtPlot * | plot ()
| Return plot widget, containing the observed plot canvas.
const QwtPlot * | plot () const
| Return plot widget, containing the observed plot canvas.
Public Member Functions inherited from QwtMagnifier
| QwtMagnifier (QWidget *)
virtual | ~QwtMagnifier ()
| Destructor.
QWidget * | parentWidget ()
const QWidget * | parentWidget () const
void | setEnabled (bool)
| En/disable the magnifier. More...
bool | isEnabled () const
void | setMouseFactor (double)
| Change the mouse factor. More...
double | mouseFactor () const
void | setMouseButton (Qt::MouseButton, Qt::KeyboardModifiers=Qt::NoModifier)
void | getMouseButton (Qt::MouseButton &, Qt::KeyboardModifiers &) const
void | setWheelFactor (double)
| Change the wheel factor. More...
double | wheelFactor () const
void | setWheelModifiers (Qt::KeyboardModifiers)
Qt::KeyboardModifiers | wheelModifiers () const
void | setKeyFactor (double)
| Change the key factor. More...
double | keyFactor () const
void | setZoomInKey (int key, Qt::KeyboardModifiers=Qt::NoModifier)
void | getZoomInKey (int &key, Qt::KeyboardModifiers &) const
| Retrieve the settings of the zoom in key. More...
void | setZoomOutKey (int key, Qt::KeyboardModifiers=Qt::NoModifier)
void | getZoomOutKey (int &key, Qt::KeyboardModifiers &) const
| Retrieve the settings of the zoom out key. More...
virtual bool | eventFilter (QObject *, QEvent *)
| Event filter. More...

## Protected Member Functions
virtual void | rescale (double factor)
Protected Member Functions inherited from QwtMagnifier
virtual void | widgetMousePressEvent (QMouseEvent *)
virtual void | widgetMouseReleaseEvent (QMouseEvent *)
virtual void | widgetMouseMoveEvent (QMouseEvent *)
virtual void | widgetWheelEvent (QWheelEvent *)
virtual void | widgetKeyPressEvent (QKeyEvent *)
virtual void | widgetKeyReleaseEvent (QKeyEvent *)

## Detailed Description

QwtPlotMagnifier provides zooming, by magnifying in steps.

Using QwtPlotMagnifier a plot can be zoomed in/out in steps using keys, the mouse wheel or moving a mouse button in vertical direction.

Together with QwtPlotZoomer and QwtPlotPanner it is possible to implement individual and powerful navigation of the plot canvas.

See also
  QwtPlotZoomer, QwtPlotPanner, QwtPlot

## Constructor & Destructor Documentation

## ◆ QwtPlotMagnifier()

QwtPlotMagnifier::QwtPlotMagnifier | ( | QWidget * | canvas | ) |
| explicit

Constructor

Parameters

  canvas | Plot canvas to be magnified

## Member Function Documentation

## ◆ isAxisEnabled()

bool QwtPlotMagnifier::isAxisEnabled | ( | int | axis | ) | const

Test if an axis is enabled

Parameters

  axis | Axis, see QwtPlot::Axis

Returns
  True, if the axis is enabled

See also
  setAxisEnabled()

## ◆ rescale()

void QwtPlotMagnifier::rescale | ( | double | factor | ) |
| protectedvirtual

Zoom in/out the axes scales

Parameters

  factor | A value < 1.0 zooms in, a value > 1.0 zooms out.

Implements QwtMagnifier.

## ◆ setAxisEnabled()

void QwtPlotMagnifier::setAxisEnabled | ( | int | axis,
|  | bool | on
| ) |  |

En/Disable an axis.

Only Axes that are enabled will be zoomed. All other axes will remain unchanged.

Parameters

  axis | Axis, see QwtPlot::Axis
  on | On/Off

See also
  isAxisEnabled()